Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
tag: v3.2.13
Fetching contributors…

Cannot retrieve contributors at this time

24 lines (16 sloc) 0.584 kb
if RUBY_VERSION < '1.8.7'
desc = defined?(RUBY_DESCRIPTION) ? RUBY_DESCRIPTION : "ruby #{RUBY_VERSION} (#{RUBY_RELEASE_DATE})"
abort <<-end_message
Rails 3 requires Ruby 1.8.7 or >= 1.9.2.
You're running
#{desc}
Please upgrade to continue.
end_message
elsif RUBY_VERSION > '1.9' and RUBY_VERSION < '1.9.2'
$stderr.puts <<-end_message
Rails 3 doesn't officially support Ruby 1.9.1 since recent stable
releases have segfaulted the test suite. Please upgrade to Ruby 1.9.2 or later.
You're running
#{RUBY_DESCRIPTION}
end_message
end
Jump to Line
Something went wrong with that request. Please try again.